from typing import Annotated

from pydantic import Field

from ..utils.xml_models import XMLModel


class FrameSize(XMLModel):
    width: Annotated[int, Field(description="The width of the annotated frame")]
    height: Annotated[int, Field(description="The height of the annotated frame")]
    depth: Annotated[int, Field(description="The depth of the annotated frame")]
